Subject: Re: Next April 6 : x86 allmodconfig failure [drivers/pci]

From: Alexander Beregalov <[email-masked]>
Date: Mon, 6 Apr 2009 20:06:21 +0400

2009/4/6 Sachin Sant <[email-masked]>:
> Today's next tree allmodconfig build on x86 failed with
>
> drivers/pci/intel-iommu.c:2636:35: error: macro "if" passed 2 arguments, but
> takes just 1
> drivers/pci/intel-iommu.c: In function init_iommu_hw:
> drivers/pci/intel-iommu.c:2636: error: expected ( before { token
> drivers/pci/intel-iommu.c:2637: error: ______r undeclared (first use in this
> function)
> drivers/pci/intel-iommu.c:2637: error: (Each undeclared identifier is
> reported only once
> drivers/pci/intel-iommu.c:2637: error: for each function it appears in.)
> drivers/pci/intel-iommu.c:2640:35: error: macro "if" passed 2 arguments, but
> takes just 1
> drivers/pci/intel-iommu.c:2640: error: expected ( before { token
>
> and many more of such errors. Similar errors with intr_remapping.c
>
> drivers/pci/intr_remapping.c:679:28: error: macro "if" passed 2 arguments,
> but takes just 1
> drivers/pci/intr_remapping.c: In function disable_intr_remapping:
> drivers/pci/intr_remapping.c:679: error: expected ( before { token
> drivers/pci/intr_remapping.c:693:28: error: macro "if" passed 2 arguments,
> but takes just 1
> ......

CC'ed David and Ingo.

commit 8f912ba4d

if (i=drhd->iommu, 0)

looks strange